summaryrefslogtreecommitdiffstats
path: root/source/a/util-linux/util-linux.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/util-linux/util-linux.SlackBuild')
-rwxr-xr-xsource/a/util-linux/util-linux.SlackBuild47
1 files changed, 19 insertions, 28 deletions
diff --git a/source/a/util-linux/util-linux.SlackBuild b/source/a/util-linux/util-linux.SlackBuild
index a06357512..540a19229 100755
--- a/source/a/util-linux/util-linux.SlackBuild
+++ b/source/a/util-linux/util-linux.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2018, 2020, 2021, 2022, 2023, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -93,6 +93,12 @@ if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
for file in $CWD/pam.d/* ; do
cp -a ${file} $PKG/etc/pam.d/
done
+ # In case someone is using the '-h' option to /bin/login, we will require
+ # another copy of /etc/pam.d/login called /etc/pam.d/remote. Make this copy
+ # if it doesn't exist already:
+ if [ ! -r $PKG/etc/pam.d/remote ]; then
+ cp -a $PKG/etc/pam.d/login $PKG/etc/pam.d/remote
+ fi
if [ "$SHIP_SU" = "YES" ]; then
# Add su default file to ensure using ENV_SUPATH with 'su':
mkdir -p $PKG/etc/default
@@ -113,6 +119,8 @@ else
SHIP_SU=NO
LOGIN_OPTIONS="--disable-login"
fi
+# Put any PAM modules in the proper directory:
+sed -i "s|securelibdir = \$(libdir)/security|securelibdir = /lib${LIBDIRSUFFIX}/security|g" pam_lastlog2/src/Makemodule.am
# Changing the fdisk -l output (this was done prior to util-linux-ng) broke
# our installation scripts, so we have changed the name of partition type
@@ -123,15 +131,7 @@ zcat $CWD/util-linux.fdisk-no-solaris.diff.gz | patch -p1 --verbose || exit 1
# /dev/ram* devices in 'fdisk -l' output:
zcat $CWD/util-linux.do.not.list.ram.devices.diff.gz | patch -p1 --verbose || exit 1
-# This just call the configure script with $1 either being 2 for python2
-# or 3 for python3.
-#
-# The releasenotes say to use --runstatedir, but it doesn't work and the
-# configure script fails. So we'll leave things using localstatedir, but
-# check again later:
-#
-# --runstatedir=/run
-configure_with_python(){
+CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -145,7 +145,6 @@ configure_with_python(){
--enable-fdformat \
--enable-kill \
--disable-last \
- --enable-libmount-support-mtab \
--enable-line \
--enable-mesg \
--enable-partx \
@@ -159,14 +158,11 @@ configure_with_python(){
--enable-use-tty-group \
--enable-libblkid \
--enable-libmount \
+ --disable-libmount-mountfd-support \
--enable-libuuid \
--disable-uuidd \
- --with-python=$1 \
- --build=$ARCH-slackware-linux
-}
-
-CFLAGS="$SLKCFLAGS" \
- configure_with_python 2 || exit 1
+ --with-python=3 \
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install $NUMJOBS DESTDIR=$PKG || exit 1
@@ -179,15 +175,6 @@ if [ -r $PKG/usr/bin/chsh ]; then
chmod 4711 $PKG/usr/bin/chsh
fi
-# Build python3 bindings for libmount:
-make clean
-CFLAGS="$SLKCFLAGS" \
- configure_with_python 3 || exit 1
-make $NUMJOBS \
- install-pylibmountexecLTLIBRARIES \
- install-pylibmountexecPYTHON \
- DESTDIR=$PKG || exit 1
-
# Remove all overlap with the shadow package, since --disable-login doesn't quite do that:
rm $PKG/sbin/nologin $PKG/usr/man/man8/nologin.8 $PKG/sbin/sulogin $PKG/usr/man/man8/sulogin.8
@@ -195,6 +182,7 @@ rm $PKG/sbin/nologin $PKG/usr/man/man8/nologin.8 $PKG/sbin/sulogin $PKG/usr/man/
if [ "$SHIP_SU" = "NO" ]; then
rm -f $PKG/bin/su
rm -f $PKG/usr/man/man1/su.1
+ rm -f $PKG/usr/share/bash-completion/completions/runuser
rm -f $PKG/usr/share/bash-completion/completions/su
fi
@@ -309,6 +297,10 @@ cat rc.serial > $PKG/etc/rc.d/rc.serial.new
cat serial.conf > $PKG/etc/serial.conf.new
cat setserial.8 | gzip -9c > $PKG/usr/man/man8/setserial.8.gz
+# Build seedrng, a utility for seeding the kernel random number generator:
+cc -O2 -std=gnu99 $CWD/seedrng.c -o $PKG/usr/sbin/seedrng
+zcat $CWD/seedrng.8.gz > $PKG/usr/man/man8/seedrng.8
+
# These have always traditionally been available before /usr
# might be mounted:
( cd $PKG/usr/bin
@@ -335,7 +327,6 @@ cd $TMP/util-linux-$VERSION # Go back home :)
# tunelp was removed by upstream:
#ln -s ../sbin/tunelp .
ln -s ../../bin/more .
- ln -s ../../sbin/raw .
cd $PKG/usr/man/man1
#ln -s ziptool.1 jaztool.1
cd $PKG/usr/man/man8
@@ -369,7 +360,7 @@ gzip -9 $PKG/usr/info/*
mkdir -p $PKG/usr/doc/util-linux-$VERSION
cp -a AUTHORS COPYING* DEPRECATED NEWS README* \
- Documentation/v${VERSION}-ReleaseNotes \
+ Documentation/releases/v${VERSION}-ReleaseNotes \
Documentation/licenses/* Documentation/{TODO,*.txt} \
$PKG/usr/doc/util-linux-$VERSION